Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000189Frama-CKernelpublic2009-07-15 11:102014-02-12 16:57
Reporterlukaszc 
Assigned Tosignoles 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Beryllium-20090601-beta1 
Target VersionFixed in VersionFrama-C Beryllium-20090901 
Summary0000189: the configure script does not work properly with libocamlgraph-ocaml-dev 1.1-1
DescriptionWhen configuring with libocamlgraph-ocaml-dev 1.0 everything works fine, i.e. a makefile configured to use the attached to the sources library (0.9.9) is generated.

However, when libocamlgraph-ocaml-dev 1.1-1 (from debian sid (unstable)) is used the configure script uses this library not the internal one. Then make ends with errors.
TagsNo tags attached.
Attached Fileslog file icon build.log [^] (31,542 bytes) 2009-07-20 19:23
? file icon ocamlgraph.list [^] (2,476 bytes) 2009-07-20 19:26

- Relationships

-  Notes
(0000266)
virgile (developer)
2009-07-16 18:40

Normally, ocamlgraph v1.1 is compatible with frama-c Beryllium Beta (on the contrary to previous versions), this is why it is preferred over a local installation. However, it might be the case that some optional part of ocamlgraph
needed by Frama-C are not included in the debian package.
Could you provide a log of the compilation?
(0000269)
lukaszc (reporter)
2009-07-16 18:49

Unfortunately I do not have it and am not able generate it as I downgraded to version 1.0 of the library.
(0000284)
Jonathan-Christofer Demay (reporter)
2009-07-20 19:21

I too fail to compile Beryllium with a local ocamlgraph. I'm working on gentoo but I checked debian sid, this is the same error.

I will upload a build log and the list of files installed by the ocamlgraph package.
(0000375)
Jonathan-Christofer Demay (reporter)
2009-09-05 16:27

To compile with a local ocamlgraph, the makefile has to be patched this way:
diff -Naur frama-c-Beryllium-20090601-beta1-orig/Makefile.in frama-c-Beryllium-20090601-beta1-ptch/Makefile.in
--- frama-c-Beryllium-20090601-beta1-orig/Makefile.in 2009-06-23 11:24:39.000000000 +0000
+++ frama-c-Beryllium-20090601-beta1-ptch/Makefile.in 2009-09-04 15:32:40.000000000 +0000
@@ -358,10 +358,12 @@
 GRAPH_GUICMX= $(GRAPH_GUICMO:.cmo=.cmx)
 GRAPH_GUIO= $(GRAPH_GUICMO:.cmo=.o)
 HAS_VIEWGRAPH=yes
+ifneq ("$(OCAMLGRAPH_LOCAL)","")
 BYTE_GUI_LIBS+= $(GRAPH_GUICMO)
 OPT_GUI_LIBS+= $(GRAPH_GUICMX)
+endif
 endif
 endif
 
 endif # whether ocamlgraph is local
(0000376)
mehdi (reporter)
2009-09-05 20:16
edited on: 2009-09-05 20:53

The Debian package compiles fine with ocamlgraph 1.1 provided the patch I've applied which I submitted in the issue 0000225. The two issues look similar.

Anyway, I think that this issue is fixed in the latest stable release.

(0000378)
signoles (manager)
2009-09-08 13:12

This issue is fixed in Beryllium. Note that Frama-C Beryllium now requires the latest release of ocamlgraph, that is 1.2.

- Issue History
Date Modified Username Field Change
2009-07-15 11:10 lukaszc New Issue
2009-07-16 18:40 virgile Note Added: 0000266
2009-07-16 18:40 virgile Assigned To => virgile
2009-07-16 18:40 virgile Status new => feedback
2009-07-16 18:49 lukaszc Note Added: 0000269
2009-07-20 19:21 Jonathan-Christofer Demay Note Added: 0000284
2009-07-20 19:23 Jonathan-Christofer Demay File Added: build.log
2009-07-20 19:26 Jonathan-Christofer Demay File Added: ocamlgraph.list
2009-09-05 16:27 Jonathan-Christofer Demay Note Added: 0000375
2009-09-05 20:16 mehdi Note Added: 0000376
2009-09-05 20:53 mehdi Note Edited: 0000376
2009-09-08 13:11 signoles Status feedback => assigned
2009-09-08 13:11 signoles Assigned To virgile => signoles
2009-09-08 13:12 signoles Note Added: 0000378
2009-09-08 13:12 signoles Status assigned => closed
2009-09-08 13:12 signoles Resolution open => fixed
2009-09-08 13:12 signoles Fixed in Version => Frama-C Beryllium


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker